package errors

var (
	EmptySwitch                = &Base{"Empty switch"}
	ExpectedConstName          = &Base{"Expected a name for the const group"}
	ExpectedFunctionParameters = &Base{"Expected function parameters"}
	ExpectedFunctionDefinition = &Base{"Expected function definition"}
	ExpectedIfBeforeElse       = &Base{"Expected an 'if' block before 'else'"}
	ExpectedPackageName        = &Base{"Expected package name"}
	ExpectedStructName         = &Base{"Expected struct name"}
	ExpectedDLLName            = &Base{"Expected DLL name"}
	InvalidNumber              = &Base{"Invalid number"}
	InvalidExpression          = &Base{"Invalid expression"}
	InvalidRune                = &Base{"Invalid rune"}
	MissingBlockStart          = &Base{"Missing '{'"}
	MissingBlockEnd            = &Base{"Missing '}'"}
	MissingExpression          = &Base{"Missing expression"}
	MissingGroupStart          = &Base{"Missing '('"}
	MissingGroupEnd            = &Base{"Missing ')'"}
	MissingInitFunction        = &Base{"Missing init function"}
	MissingMainFunction        = &Base{"Missing main function"}
	MissingOperand             = &Base{"Missing operand"}
	MissingParameter           = &Base{"Missing parameter"}
	MissingType                = &Base{"Missing type"}
	NotImplemented             = &Base{"Not implemented"}
	UntypedExpression          = &Base{"Untyped expression"}
)
